storj/mobile/test-sim.sh
2019-05-24 10:13:01 +02:00

21 lines
476 B
Bash
Executable File

#!/bin/bash
set -ueo pipefail
set +x
# setup tmpdir for testfiles and cleanup
TMP=$(mktemp -d -t tmp.XXXXXXXXXX)
cleanup(){
rm -rf "$TMP"
}
trap cleanup EXIT
export STORJ_NETWORK_DIR=$TMP
STORJ_NETWORK_HOST4=${STORJ_NETWORK_HOST4:-127.0.0.1}
# setup the network
storj-sim -x --host $STORJ_NETWORK_HOST4 network setup
# run tests
storj-sim -x --host $STORJ_NETWORK_HOST4 network test bash test-libuplink-android.sh
storj-sim -x --host $STORJ_NETWORK_HOST4 network destroy